(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: walk_file_spec.mli,v 1.7 2014/01/31 09:51:52 fclement Exp $ *)

module type Treat_walk =
  functor (Io : Walk_spec.Out) ->

sig

  val file : Og_types.file -> unit
  ;;

end
;;

module type Main =
  functor (P : Generator_spec.Prefix) -> functor (Treat : Treat_walk) ->

sig

   val main : unit -> unit
   ;;

end
;;
