(* $Id: file_arg.mli,v 1.1.1.1 2012/05/21 21:32:14 fclement Exp $ *)

type ic;;
type oc;;
val anonymous : string -> unit;;
val ofile : string -> unit;;
val ifile : string -> unit;;
val list : unit -> (ic * oc) list;;
val open_in : ic -> in_channel;;
val open_out : oc -> out_channel;;
val close_in : in_channel -> unit;;
val close_out : out_channel -> unit;;
val clean_file : oc -> unit;;
val oc_to_string : oc -> string;;
val ic_to_string : ic -> string;;
