(* $Id: pr_type.mli,v 1.1.1.1 2012/05/21 21:32:14 fclement Exp $ *)

(** pr_type.ml: impression des types dclars dans le fichier de
   description de la base de donnes. *)

val adb : Buffers.t -> Types.adb -> unit;;
val type_definitions_are_printed : unit -> bool;;
val keep_type_definitions : unit -> unit;;

(* For pretty-printer of walk_ast. *)
val print_type_expr : Buffers.t -> Types.type_expr -> unit;;
val print_type_name : Buffers.t -> Types.type_name -> unit;;

val comment : string -> string;;
